//******************************************************************************
//* MiniRISC CPU v2.0                                                          *
//*                                                                            *
//* A vezrlssel kapcsolatos konstansok.                                      *
//******************************************************************************

//******************************************************************************
//* Reset s megszakts vetorok. Az adott esemny esetn a megadott cmre     *
//* kerl a vezrls.                                                          *
//******************************************************************************
localparam RST_VECTOR = 8'h00;      //Reset vektor
localparam INT_VECTOR = 8'h01;      //Megszakts vektor


//******************************************************************************
//* ALU mveletek.                                                             *
//******************************************************************************
localparam ALU_MOVE  = 2'b00;       //Adatmozgats
localparam ALU_ARITH = 2'b01;       //Aritmetikai mveletek
localparam ALU_LOGIC = 2'b10;       //Bitenknti logikai mveletek
localparam ALU_SHIFT = 2'b11;       //Shiftels/forgats


//******************************************************************************
//* Flag-ek.                                                                   *
//******************************************************************************
localparam Z_FLAG  = 0;             //Zero flag
localparam C_FLAG  = 1;             //Carry flag
localparam N_FLAG  = 2;             //Negative flag
localparam V_FLAG  = 3;             //Overflow flag
localparam IE_FLAG = 4;             //Megszakts engedlyez flag
localparam IF_FLAG = 5;             //Megszakts flag
